pcl::gpu::people::FaceDetector Class Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/people/include/pcl/gpu/people/face_detector.h>`

## Public Types

typedef boost::shared_ptr< FaceDetector > | Ptr

## Public Member Functions

| FaceDetector (int cols, int rows)
| This is the constructor. More...
NCVStatus | loadFromXML2 (const std::string &filename, HaarClassifierCascadeDescriptor &haar, std::vector< HaarStage64 > &haar_stages, std::vector< HaarClassifierNode128 > &haarClassifierNodes, std::vector< HaarFeature64 > &haar_features)
NCVStatus | ncvHaarLoadFromFile_host (const std::string &filename, HaarClassifierCascadeDescriptor &haar, NCVVector< HaarStage64 > &h_haar_stages, NCVVector< HaarClassifierNode128 > &h_haar_nodes, NCVVector< HaarFeature64 > &h_haar_features)
NCVStatus | ncvHaarGetClassifierSize (const std::string &filename, Ncv32u &numStages, Ncv32u &numNodes, Ncv32u &numFeatures)

NCVStatus

NCVprocess (pcl::PointCloud< pcl::RGB > &cloud_in, pcl::PointCloud< pcl::Intensity32u > &cloud_out, HaarClassifierCascadeDescriptor &haar, NCVVector< HaarStage64 > &d_haar_stages, NCVVector< HaarClassifierNode128 > &d_haar_nodes, NCVVector< HaarFeature64 > &d_haar_features, NCVVector< HaarStage64 > &h_haar_stages, INCVMemAllocator &gpu_allocator, INCVMemAllocator &cpu_allocator, cudaDeviceProp &device_properties, Ncv32u width=640, Ncv32u height=480, NcvBool bFilterRects=false, NcvBool bLargestFace=true)

int | configure (std::string cascade_file_name)
void | process (pcl::PointCloud< pcl::RGB > &cloud, pcl::PointCloud< pcl::Intensity32u > &cloud_out)
| Process step, this wraps the Nvidia code. More...
void | setLargestObject (bool largest_object)
| largest object sets return configuration More...
bool | getLargestObject () const
void | setDeviceId (int id)
| Set the cuda GPU to use. More...
int | getCols () const
void | setCols (int cols)
int | getRows () const
void | setRows (int rows)
std::string | getCascadeFileName () const
void | setCascadeFileName (std::string cascadeFileName)
int | getDeviceId ()
| Get the cuda GPU device id in use. More...

## Static Public Member Functions

static NCVStatus | loadFromNVBIN (const std::string &filename, HaarClassifierCascadeDescriptor &haar, std::vector< HaarStage64 > &haar_stages, std::vector< HaarClassifierNode128 > &haarClassifierNodes, std::vector< HaarFeature64 > &haar_features)

## Detailed Description

Definition at line 58 of file face_detector.h.

## Member Typedef Documentation

## Ptr

typedef boost::shared_ptr<FaceDetector> pcl::gpu::people::FaceDetector::Ptr

Definition at line 61 of file face_detector.h.

## Constructor & Destructor Documentation

## FaceDetector()

pcl::gpu::people::FaceDetector::FaceDetector | ( | int | cols,
|  | int | rows
| ) |  |

This is the constructor.

## Member Function Documentation

## configure()

int pcl::gpu::people::FaceDetector::configure | ( | std::string | cascade_file_name | ) |

## getCascadeFileName()

std::string pcl::gpu::people::FaceDetector::getCascadeFileName | ( |  | ) | const

inline

Definition at line 152 of file face_detector.h.

## getCols()

int pcl::gpu::people::FaceDetector::getCols | ( |  | ) | const

inline

Definition at line 131 of file face_detector.h.

## getDeviceId()

int pcl::gpu::people::FaceDetector::getDeviceId | ( |  | ) |

inline

Get the cuda GPU device id in use.

Definition at line 165 of file face_detector.h.

## getLargestObject()

bool pcl::gpu::people::FaceDetector::getLargestObject | ( |  | ) | const

inline

Definition at line 123 of file face_detector.h.

References setDeviceId().

## getRows()

int pcl::gpu::people::FaceDetector::getRows | ( |  | ) | const

inline

Definition at line 141 of file face_detector.h.

## loadFromNVBIN()

static NCVStatus pcl::gpu::people::FaceDetector::loadFromNVBIN | ( | const std::string & | filename,
|  | HaarClassifierCascadeDescriptor & | haar,
|  | std::vector< HaarStage64 > & | haar_stages,
|  | std::vector< HaarClassifierNode128 > & | haarClassifierNodes,
|  | std::vector< HaarFeature64 > & | haar_features
| ) |  |

static

## loadFromXML2()

NCVStatus pcl::gpu::people::FaceDetector::loadFromXML2 | ( | const std::string & | filename,
|  | HaarClassifierCascadeDescriptor & | haar,
|  | std::vector< HaarStage64 > & | haar_stages,
|  | std::vector< HaarClassifierNode128 > & | haarClassifierNodes,
|  | std::vector< HaarFeature64 > & | haar_features
| ) |  |

## ncvHaarGetClassifierSize()

NCVStatus pcl::gpu::people::FaceDetector::ncvHaarGetClassifierSize | ( | const std::string & | filename,
|  | Ncv32u & | numStages,
|  | Ncv32u & | numNodes,
|  | Ncv32u & | numFeatures
| ) |  |

## ncvHaarLoadFromFile_host()

NCVStatus pcl::gpu::people::FaceDetector::ncvHaarLoadFromFile_host | ( | const std::string & | filename,
|  | HaarClassifierCascadeDescriptor & | haar,
|  | NCVVector< HaarStage64 > & | h_haar_stages,
|  | NCVVector< HaarClassifierNode128 > & | h_haar_nodes,
|  | NCVVector< HaarFeature64 > & | h_haar_features
| ) |  |

## NCVprocess()

NCVStatus pcl::gpu::people::FaceDetector::NCVprocess | ( | pcl::PointCloud< pcl::RGB > & | cloud_in,
|  | pcl::PointCloud< pcl::Intensity32u > & | cloud_out,
|  | HaarClassifierCascadeDescriptor & | haar,
|  | NCVVector< HaarStage64 > & | d_haar_stages,
|  | NCVVector< HaarClassifierNode128 > & | d_haar_nodes,
|  | NCVVector< HaarFeature64 > & | d_haar_features,
|  | NCVVector< HaarStage64 > & | h_haar_stages,
|  | INCVMemAllocator & | gpu_allocator,
|  | INCVMemAllocator & | cpu_allocator,
|  | cudaDeviceProp & | device_properties,
|  | Ncv32u | width = `640`,
|  | Ncv32u | height = `480`,
|  | NcvBool | bFilterRects = `false`,
|  | NcvBool | bLargestFace = `true`
| ) |  |

## process()

void pcl::gpu::people::FaceDetector::process | ( | pcl::PointCloud< pcl::RGB > & | cloud,
|  | pcl::PointCloud< pcl::Intensity32u > & | cloud_out
| ) |  |

Process step, this wraps the Nvidia code.

## setCascadeFileName()

void pcl::gpu::people::FaceDetector::setCascadeFileName | ( | std::string | cascadeFileName | ) |

inline

Definition at line 158 of file face_detector.h.

## setCols()

void pcl::gpu::people::FaceDetector::setCols | ( | int | cols | ) |

inline

Definition at line 136 of file face_detector.h.

## setDeviceId()

void pcl::gpu::people::FaceDetector::setDeviceId | ( | int | id | ) |

Set the cuda GPU to use.

Referenced by getLargestObject().

## setLargestObject()

void pcl::gpu::people::FaceDetector::setLargestObject | ( | bool | largest_object | ) |

inline

largest object sets return configuration

Definition at line 118 of file face_detector.h.

## setRows()

void pcl::gpu::people::FaceDetector::setRows | ( | int | rows | ) |

inline

Definition at line 146 of file face_detector.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/people/include/pcl/gpu/people/face_detector.h